### Enumeration

# JavaScriptCore ValuePropertyFlags

#### Declaration

    flags JavaScriptCore.ValuePropertyFlags

#### Description [src]

Flags used when defining properties with `jsc_value_object_define_property_data()` and jsc_value_object_define_property_accessor().

#### Members

`JSC_VALUE_PROPERTY_CONFIGURABLE`

  The type of the property descriptor may be changed and the property may be deleted from the corresponding object.

  - Value: `1`
  - Available since: 6.0
`JSC_VALUE_PROPERTY_ENUMERABLE`

  The property shows up during enumeration of the properties on the corresponding object.

  - Value: `2`
  - Available since: 6.0
`JSC_VALUE_PROPERTY_WRITABLE`

  The value associated with the property may be changed with an assignment operator. This doesn’t have any effect when passed to jsc_value_object_define_property_accessor().

  - Value: `4`
  - Available since: 6.0